Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(617)

Side by Side Diff: trunk/platform_tools/nacl/nacl_make

Issue 14771017: Copy NaCl directory into trunk/platform_tools, adjust paths (Closed) Base URL: http://skia.googlecode.com/svn/
Patch Set: Created 7 years, 7 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View unified diff | Download patch | Annotate | Revision Log
OLDNEW
1 #!/bin/bash 1 #!/bin/bash
2 2
3 function setenv { 3 function setenv {
4 if [ -z "$1" ]; then 4 if [ -z "$1" ]; then
5 echo "ERROR: setenv() requires one argument." 5 echo "ERROR: setenv() requires one argument."
6 exit 1 6 exit 1
7 fi 7 fi
8 if [ -z "${NACL_SDK_ROOT}" ]; then 8 if [ -z "${NACL_SDK_ROOT}" ]; then
9 echo "ERROR: This script requires NACL_SDK_ROOT to be set." 9 echo "ERROR: This script requires NACL_SDK_ROOT to be set."
10 exit 1 10 exit 1
(...skipping 81 matching lines...) Expand 10 before | Expand all | Expand 10 after
92 if [[ -n "$NACL_MAKE_CCACHE" ]]; then 92 if [[ -n "$NACL_MAKE_CCACHE" ]]; then
93 $NACL_MAKE_CCACHE --version &> /dev/null 93 $NACL_MAKE_CCACHE --version &> /dev/null
94 if [[ "$?" != "0" ]]; then 94 if [[ "$?" != "0" ]]; then
95 echo "Unable to find ccache!" 95 echo "Unable to find ccache!"
96 exit 1 96 exit 1
97 fi 97 fi
98 fi 98 fi
99 99
100 build 32 && \ 100 build 32 && \
101 build 64 && \ 101 build 64 && \
102 if ! [ -L ../nacl/out ]; then 102 if ! [ -L platform_tools/nacl/out ]; then
103 ln -s ../trunk/out ../nacl 103 ln -s ../../out platform_tools/nacl
104 fi 104 fi
OLDNEW
« no previous file with comments | « trunk/platform_tools/nacl/debugger/debugger.nmf ('k') | trunk/platform_tools/nacl/tests/tests.nmf » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698